import createMaterialIcon from '../createMaterialIcon.js';

const pathData = {
  regular: {
    "100": "M252-212v-136h42v136h-42Zm233 0v-336h42v336h-42Zm221 0v-536h42v536h-42Z",
    "200": "M240-200v-160h55.38v160H240Zm236.92 0v-360h55.39v360h-55.39Zm227.7 0v-560H760v560h-55.38Z",
    "300": "M220-180v-200h77.69v200H220Zm243.46 0v-400h77.69v400h-77.69Zm238.85 0v-600H780v600h-77.69Z",
    "400": "M200-160v-240h100v240H200Zm250 0v-440h100v440H450Zm250 0v-640h100v640H700Z",
    "500": "M195.7-154.02v-234.26h108.37v234.26H195.7Zm251.19 0v-434.26h108.13v434.26H446.89Zm250.96 0v-652.2h108.37v652.2H697.85Z",
    "600": "M189.83-145.87V-372.3h119.78v226.43H189.83Zm252.82 0V-572.3h119.22v426.43H442.65Zm252.26 0V-814.7H814.7v668.83H694.91Z",
    "700": "M182-135v-216h135v216H182Zm255 0v-416h134v416H437Zm254 0v-691h135v691H691Z"
  }
};
const SignalCellularAltW100 = createMaterialIcon("signal_cellular_alt", pathData.regular[100]);
const SignalCellularAltW200 = createMaterialIcon("signal_cellular_alt", pathData.regular[200]);
const SignalCellularAltW300 = createMaterialIcon("signal_cellular_alt", pathData.regular[300]);
const SignalCellularAltW400 = createMaterialIcon("signal_cellular_alt", pathData.regular[400]);
const SignalCellularAltW500 = createMaterialIcon("signal_cellular_alt", pathData.regular[500]);
const SignalCellularAltW600 = createMaterialIcon("signal_cellular_alt", pathData.regular[600]);
const SignalCellularAltW700 = createMaterialIcon("signal_cellular_alt", pathData.regular[700]);
const SignalCellularAltFillW100 = createMaterialIcon("signal_cellular_alt", pathData.regular[100]);
const SignalCellularAltFillW200 = createMaterialIcon("signal_cellular_alt", pathData.regular[200]);
const SignalCellularAltFillW300 = createMaterialIcon("signal_cellular_alt", pathData.regular[300]);
const SignalCellularAltFillW400 = createMaterialIcon("signal_cellular_alt", pathData.regular[400]);
const SignalCellularAltFillW500 = createMaterialIcon("signal_cellular_alt", pathData.regular[500]);
const SignalCellularAltFillW600 = createMaterialIcon("signal_cellular_alt", pathData.regular[600]);
const SignalCellularAltFillW700 = createMaterialIcon("signal_cellular_alt", pathData.regular[700]);

export { SignalCellularAltFillW100, SignalCellularAltFillW200, SignalCellularAltFillW300, SignalCellularAltFillW400, SignalCellularAltFillW500, SignalCellularAltFillW600, SignalCellularAltFillW700, SignalCellularAltW100, SignalCellularAltW200, SignalCellularAltW300, SignalCellularAltW400, SignalCellularAltW500, SignalCellularAltW600, SignalCellularAltW700 };
